import { createSlice } from "@reduxjs/toolkit";

const initState = {
  todos_ar:[
    {name:"go to work 22", time:"09:00", id:1},
    {name:"go to lunch", time:"12:00", id:2}
  ]
}

const todoSlice = createSlice({
  name:"todos",
  initialState:initState,
  reducers:{
    addNewItem:(state,action) => {
      state.todos_ar.push(action.payload.todoItem)
    },
    resetAllItem:(state,action) => {
      state.todos_ar = [];
    },
    delSingleItem:(state,action) => {
      state.todos_ar = state.todos_ar.filter(
        (item) => item.id != action.payload.delId
      )
    }
  }
}) 

export const {addNewItem,resetAllItem,delSingleItem} = todoSlice.actions;
export default todoSlice.reducer;